# CreateStudyApp


### Purpose
This application will create a customizable _SFB_-conform folder structure for SFBstudies. It will create:
- Study root folder
- Subject folders 
- Session folders
- Modality folders

### Requirements
It is required to have a Java version greater or equal to 1.8.0 installed. You can download the current Java Corretto here: https://docs.aws.amazon.com/de_de/corretto/latest/corretto-11-ug/downloads-list.html  
After installing Java, you should be able to launch the application by simply double-clicking it.

### GUI Usage

![](/images/StudyCreator_tutorial.png)

Input fields top down:
1. _Study Destination:_
   This button opens a folder-select-wizard, in which the parent folder for the new study can be selected. **Notice:** The application will create a (singular) parent folder, containing all created sub-folders, in the selected folder. The subject will not be created directly in this folder.
2. _Name of the study:_
   Defines the name of the newly created study.
3. _Total number of consecutively numbered subjects:_
   Depending on the number entered, this is how many consecutively numbered subject folders are created. They follow the format: `sub-1, sub-2, sub-3, ..., sub-n`
   **Important:** This only happens if and only if the checkbox _Enter own subject codes is **NOT** selected_.
4. _Enter own subject codes:_
   Allows the user to enter costume subject codes. Only folders for the given subject code, will be created. Once selected **NO** consecutive subject folders will be created.
   1. _SFB subjects:_
      Comma-separated list of custom subject codes.
5. _Session amount:_
   The amount of session folders created for each subject. They follow the _SFB_-scheme: `ses-1, ses-2, ..., ses-n`
6. _Modalities:_
   With this drop-down menu, modality folders for the subjects can be defined. It is possible to select more than one value.
7. _Enter own modality folder names:_
   If the selection of modality folders is not sufficient, the user can add (**additional!**) custom modality folders, once this option is selected.
   1. _Modality Folder:_
      Comma-separated list of custom modality folder names.
8. _Import from Excel:_
   More in the [Import from Excel](#import-from-excel) section.
9. _Create:_
   Starts the process of folder creation. Once finished, the user will be informed via a pop-up message. 
  
## Import from Excel
Instead of filling out every field manually, most of the values can be imported from an _.xlsx_ Excel document.
Use the example Excel document provided [here](/additional documents/xlsxBase.xlsx) as a base for creating/filling out your own. There are some requirements for an Excel document to be properly imported:
- The order of the columns must not be changed
- Session IDs under 10 need a leading zero (i.e. "Session Date 01" and so on)
- Valid values for the Subject Sex column only include: m[ale], f[emale], m[ännlich], w[eiblich], u[ndefined]
- Valid values for the Subject Type column only include: Healthy test subject, Patient, Healthy control subject
- Removing/Adding session date columns is allowed, as long as they follow the same naming scheme

Additionally, one _meta.json_ file has to be provided, which will serve as the base for creating the study. This file will be used as the base for all subsequently created _meta.json_ files.

## License and Citation
This work is licensed under a Creative Commons Attribution-ShareAlike 4.0 International License: https://creativecommons.org/licenses/by-sa/4.0/

Please cite as: Diers, Erik; Otto, Tobias; Pacharra, Marlene (2024). https://gitlab.ruhr-uni-bochum.de/sfb1280/createstudyapp/

## Contact
If you have any questions about the CreateStudyApp, or if you have feature requests or found bugs, please contact the SFB's INF project via email: sfb1280data@rub.de

## Funding
The development of the CreateStudyApp was carried out as part of the SFB 1280 INF project, supported by the Deutsche Forschungsgemeinschaft DFG (German Research Foundation, project number 316803389).
